{
    // 控制字体大小(像素)
    "editor.fontSize": 16,
    // 在 #editor.wordWrap# 为 wordWrapColumn 或 bounded 时，控制编辑器的折行列。100 列后换行
    "editor.wordWrapColumn": 100,
    // 控制tab键是空格还是制表符  true 空格  false制表符
    "editor.detectIndentation": false,
    // tab 对应空格大小
	"editor.tabSize": 4,
    // 在保存时格式化文件。
    "editor.formatOnSave": false,
    // 开启 vscode 文件路径导航
    "breadcrumbs.enabled": true,
    // prettier 是否在每行末尾添加分号 ,C_cpp有用
    "prettier.semi": false,
    // prettier 设置强制单引号
    "prettier.singleQuote": true,
    // 尽可能控制尾随逗号的输出。 有效选项： 'none' - 无尾随逗号 ' es5' - 在ES5中有效的尾随逗号（对象，数组等） 'all' - 尾随逗号 尽可能（函数参数）
    "prettier.trailingComma": "none",
    // 定义函数参数括号前的空格处理方式。
    "javascript.format.insertSpaceBeforeFunctionParenthesis": true,
    // 鼠标滚轮缩放, ctrl+滚轮
    "editor.mouseWheelZoom": true,
    "editor.defaultFormatter": "ms-python.vscode-pylance",
    "files.encoding":"utf8",

	// 针对python文件将 tab改为4个空格
	"[python]": {
		"editor.insertSpaces": true,
		"editor.tabSize": 4
	},



	// 代码格式化 astyle,需要安装astyle 程序-适用C  c++  java
	// "astyle.executable": "D:\\AStyle\\bin\\astyle.exe",  //window
    // "astyle.executable": "/usr/bin/astyle",   // linux
    // "astyle.additional_languages": [
    //     "c",
    //     "cpp",
    //     "*.h",
    // ],
    // "astyle.cmd_options": [
    //     // 预定义风格 -----------------------------------------------------------
    //     // "--style=ansi",             //ANSI 风格格式和缩进
    //     // "--style=kr",               //Kernighan&Ritchie 风格格式和缩进
    //     "--style=linux", //Linux 风格格式和缩进
    //     //"--style=gnu",               //GNU 风格格式和缩进
    //     // "--style=java",             //Java 风格格式和缩进
    //     "--indent=spaces=4", //缩进4个空格
    //     "--indent-preproc-block",
    //     "--pad-oper", //操作符两端插入一个空格
    //     "--pad-header",
    //     "--unpad-paren",
    //     "--suffix=none",
    //     "--align-pointer=name",
    //     "--lineend=linux",
    //     "--convert-tabs", //TAB转换为空格
    //     "--verbose",
    //     // "--delete-empty-lines",   //删除多余空行
    //     //"--pad-paren-in",         //括号内部加入空格
    //     "--unpad-paren", //移除括号两端多余空格
    // ],
  
	// pylint --python风格  pylint程序
    // "python.linting.enabled": true,
    // "python.linting.pylintEnabled": true,
    // "python.linting.lintOnSave": true,
    // "python.linting.pylintPath": "D:\\pylint\\bin\\pylint.exe",
    // "python.linting.pylintArgs": [
    //     "--rcfile={path}/.pylintrc",
    //     "--extension-pkg-whitelist=PyQt5",
    //     "--disable=invalid-name,missing-module-docstring",
    //     "--disable=W0612,W0631,W0703,W0621,W0613,W0611,W1308,C0411,C0111,C0103,C0301,C0304,C0305,E1101,R0913,R0914,R0915,R0903" ,
    // ],
 

	// 执行的终端选择,可选
	"terminal.integrated.defaultProfile.windows" : "PowerShell",
	// "terminal.integrated.defaultProfile.windows" : "Git Bash",
	// "terminal.integrated.defaultProfile.windows" : "Windows PowerShell",
    // "terminal.integrated.defaultProfile.windows": "Ubuntu-20.04 (WSL)",
 
    "python.defaultInterpreterPath": "python3",   // python3  或 python
    "code-runner.executorMap": {
        "python":"python3 -u $fullFileName"
    },



}